Skip to main content
POST
/
v1
/
orgs
/
{org_id}
/
knowledge
/
collections
Create Collection
curl --request POST \
  --url https://api.letpiper.com/v1/orgs/{org_id}/knowledge/collections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required

Body

application/json

Payload for creating a new knowledge collection.

name
string
required
Required string length: 1 - 255

Response

Successful Response

id
string<uuid>
required
organizationId
string<uuid>
required
name
string
required
createdAt
string<date-time>
required